[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TLookupList.ValueOfKey

Look up value based on a key

## Declaration

Source position: db.pas line 255

`public function TLookupList.ValueOfKey(`
`const AKey: Variant`
`):Variant;`

## Arguments

`AKey` |  | Key to find associated value for.

## Function result

Resulting value or Null

## Description

ValueOfKey does a value lookup based on a key: it returns the value in the list that matches the AKey key. If none is found, Null is returned. This mechanism is quite slow, as a linear search is performed.

## See also

TLookupList.FirstKeyByValue |  | Find the first key that matches a value
TLookupList.Add |  | Add a key, value pair to the list

Documentation generated on: Feb 26 2014